Skip to main content

Get External Key Campaigns

GET 

/v1/sandbox/:sandbox_id/external-key-campaign

Get External Key Campaigns by filters. All filters must be true for an External Key Campaign to be returned. Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    external_key_campaign_ids uuid[]

    External Key Campaign IDs to filter by

    key_types string[]

    Possible values: non-empty and <= 256 characters

    Filter by External Key Campaign with matching key types

    name Name

    Possible values: non-empty and <= 50 characters

    Filter by case insensitive name

    last_modified_account_ids uuid[]

    Filter by last modified account ID

    sort_by any

    Sort results by

    sort_order any

    Sort order

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

Responses

Successful Response

Schema

    data

    object[]

    The External Key Campaigns.

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    key_types string[]

    Possible values: non-empty and <= 256 characters

    Default value: ``

    The types of keys that can be distributed by this campaign.

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    external_key_campaign_id uuidrequired

    The External Key Campaign ID.

  • ]

  • page_meta

    object

    required

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size (integer)

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    total Total (integer)

    Default value: 0

    The total number of entities.

Loading...